@import url('https://fonts.googleapis.com/css2?family=Open+Sans:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&display=swap');


:root {
    --primary-green: #66B10F;
    --main-text-color: #fff;
    --primary-text-blue: #126f9a;
    --light-gray: #454545;
}

* {
    margin: 0;
    padding: 0;
}

.bg-primary-green {
    background-color: var(--primary-green);
}

.text-blue {
    color: var(--primary-text-blue);
}

.text-white-light {
    color: #45454599 !important;
}

.text-size-14 {
    font-size: 13px;
}

.pl-10px {
    padding-left: 20px;
    padding-right: 20px;
}

.form-header {
    display: flex;
    align-items: center;
    font-family: 'Open Sans', sans-serif
}

.form-header h1 {

    font-size: 36px;
    font-weight: 600;
    line-height: 54px;
    text-align: left;
    font-family: 'Open Sans', sans-serif;
    color: #454545;

}


.steps {
    display: flex;
    width: 100%;
    align-items: center;
    justify-content: space-between;
    position: relative;
    font-family: 'Open Sans', sans-serif
}

.steps .circle {
    display: flex;
    align-items: center;
    justify-content: center;
    height: 20px;
    width: 20px;
    color: #454545;
    font-size: 22px;
    font-weight: 500;
    border-radius: 50%;
    background: #fff;
    border: 1.5px solid #e0e0e0;
    transition: all 200ms ease;
    transition-delay: 0s;
    font-family: 'Open Sans', sans-serif
}

.steps .circle.active {
    transition-delay: 100ms;
    border-color: var(--primary-green);
    color: var(--primary-green);
}

.steps .active-inner-circle {
    height: 12px;
    width: 12px;
    background-color: var(--primary-green);
    border-radius: 50%;
    color: #454545;
}

.steps .active-inner-circle-tick {
    height: 40px;
    width: 40px;
    background-color: var(--primary-green);
    border-radius: 50%;
    color: white;
}

.active-inner-circle-tick::after {
    /* content: '\2713'; */
    content: '';
    display: inline-block;
    color: #fff;
    /* padding: 3px 8px; */
    /* transform: translate(-50%, -50%);
    transform: rotate(-45deg) translate(-50%, -50%); */
}



/* .steps .progress-bar {
    position: absolute;
    height: 4px;
    width: 100%;
    border-top: 3px dashed #e0e0e0;
    z-index: -1;
}

.progress-bar .indicator {
    position: absolute;
    height: 100%;
    width: 0%;
    background: var(--primary-green);
    transition: all 300ms ease;
} */

.steps .progress-bar-full {
    position: absolute;
    height: 1px;
    width: 100%;
    z-index: -1;
    background: var(--primary-green);
}



.steps .progress-bar {
    position: absolute;
    height: 1px;
    width: 100%;
    z-index: -1;
}

.progress-bar::before {
    content: '';
    position: absolute;
    height: 100%;
    width: 50%;
    border-top: 1px dashed #e0e0e0;
}

.progress-bar::after {
    content: '';
    position: absolute;
    height: 100%;
    width: 50%;
    left: 50%;
    border-top: 1px dashed #e0e0e0;
}

.progress-bar .indicator {
    position: absolute;
    height: 100%;
    width: 0%;
    background: var(--primary-green);
    transition: all 300ms ease;
}


.multi-step-btn {
    margin-top: 20px;
    display: flex;
    gap: 20px;
    justify-content: space-between;
    font-family: 'Open Sans', sans-serif;
    margin-bottom: 10px;
}

/* 
.buttons .nextBtn {
    float: right;
} */



.multi-step-btn .nextBtn {

    padding: 12px 30px 12px 30px;
    background: #126F9A;
    border: none;
    border-radius: 12px;
    color: #fff;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
    transition: all 200ms linear;
    width: 100%;
    height: 50px;
    line-height: 24px;
    font-family: 'Open Sans', sans-serif
}

.multi-step-btn .backBtn {
    padding: 16px,
        24px,
        16px,
        24px;
    background: #fff;
    border: 2px solid #126F9A;
    border-radius: 12px;
    color: #126F9A;
    font-size: 16px;
    font-weight: 600;
    cursor: pointer;
    box-shadow: 0 5px 10px rgba(0, 0, 0, 0.05);
    transition: all 200ms linear;
    width: 125px;
    height: 56px;
    line-height: 24px;
    font-family: 'Open Sans', sans-serif
}

.step-counter {
    font-weight: 400;
    font-size: 16px;
    line-height: 28.8px;
    font-family: 'Open Sans', sans-serif;
    color: #454545;
    opacity: 0.4;
}

.active-step {
    color: var(--primary-green);
    opacity: 100%;
}

.buttons button:active {
    transform: scale(0.97);
}

.buttons button:disabled {
    background: #87a5f8;
    cursor: not-allowed;
}

.form-control-solid {
    display: block;
    width: 100%;
    padding: 12px 20px;
    font-size: 16px;
    line-height: 1.5;
    color: #3F4254;
    background-color: #FAFAFA;
    background-clip: padding-box;
    border: none;
    border-radius: 12px;
    box-shadow: none;
    outline: none;
    transition: all 0.3s ease;
    font-family: 'Open Sans', sans-serif
}

/* Focus Styles */
.form-control-solid:focus {
    color: #3F4254;
    background-color: #FAFAFA;
    outline: none !important;
    outline: 0;
    font-family: 'Open Sans', sans-serif
}

.multiStepForm label {
    color: #454545;
    font-weight: 500;
    line-height: 30px;
    font-size: 16px;
    font-family: 'Open Sans', sans-serif
}

.check-label {
    font-weight: 400 !important;
}

.form-card {
    margin-top: 20px;
    font-family: 'Open Sans', sans-serif
}

.form-card h1 {
    font-size: 20px;
    font-weight: 600;
    size: 20px;
    line-height: 30px;
}

.form-card .card {
    border-radius: 20px !important;
    padding: 16px,
        16px,
        24px,
        16px !important;
}


.multiStepForm input[type="checkbox"] {
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    width: 20px;
    height: 20px;
    background-color: #e0e0e0;
    border-radius: 4px;
    border: none;
    cursor: pointer;
    position: relative;
}

.multiStepForm input[type="checkbox"]:checked {
    background-color: var(--primary-green);
}

.multiStepForm input[type="checkbox"]:checked::before {
    content: "\f00c";
    font-family: "FontAwesome";
    font-size: 14px;
    color: white;
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
}


.step-fields {
    opacity: 0;
    transform: translateY(-20px);
    transition: opacity 0.5s ease, transform 0.5s ease;
}

.step-fields.active {
    opacity: 1;
    transform: translateY(0);
}

.multiStepForm .form-select {
    color: #3F4254 !important;
    background-image: url('../images/select-down.svg') !important;
    opacity: 1;
}

.multiStepForm .form-select:focus {
    outline: none !important;
    box-shadow: none !important;
    border-color: none !important;

}

.relative-input-calender {
    position: relative;
}

.absolute-relative {
    position: absolute;
    top: 12px;
    right: 10px;
}

.multiStepForm ::placeholder {
    color: var(--light-gray);
    opacity: 0.5;
}

.responsive-style {
    display: flex;
    gap: 10px;
    align-items: center;
}

.check-style {
    margin-bottom: 10px;
    height: 100%;
    width: 65%;
    font-size: 0px;
    text-align: center;
    padding: 0px 0px;
}

.multiStepForm .row>* {
    flex-shrink: unset;
}

.multiStepForm hr {
    margin: 14px;
}

.dropdown-menu {
    position: initial;
    top: 100%;
    left: 0;
    z-index: 1000;
    float: left;
    min-width: 10rem;
    padding: 0.5rem 0;
    margin: 0.125rem 0 0;
    font-size: 1rem;
    color: #212529;
    text-align: left;
    list-style: none;
    background-color: #fff;
    background-clip: padding-box;
    border: 1px solid rgba(0, 0, 0, .15);
    border-radius: 0.25rem;
    display: none;
    overflow: auto;
    max-height: 200px;
    min-height: 50px;
}

.dropdown-item {
    display: block;
    width: 100%;
    padding: 0.25rem 1.5rem;
    clear: both;
    font-weight: 400;
    color: #212529;
    text-align: inherit;
    white-space: nowrap;
    background-color: transparent;
    border: 0;
    border-bottom: 1px solid rgb(227, 227, 227);
}

.step-description {
    color: #454545;
    font-weight: 500;
    line-height: 30px;
    font-size: 16px;
    font-family: 'Open Sans', sans-serif;
    margin: 20px 0 30px 0;
}

.form-group, .form-check {
    position: relative;
}

.hidden-tooltip {
    position: absolute;
    display: block;
    visibility: hidden;
    padding: 0.2em;
    border: 1px solid #9a9696;
    border-radius: 0.25rem;
    top: -0.5rem;
    right: 0;
    color: #454545;
    font-weight: 500;
    line-height: 30px;
    font-size: 16px;
    font-family: 'Open Sans', sans-serif;
    background-color: white;
}

@media screen and (max-width: 992px) {
    .hidden-tooltip {
        top: -3rem;
    }
}

.hidden-tooltip::before {
    content: " ⓘ  ";
    color: #126F9A;
}

.hidden-tooltip:after {
    border-left: 10px solid transparent;
    border-right: 10px solid transparent;
    border-top: 10px solid #9a9696;
    top: 100%;
    position: absolute;
    bottom: 0;
    height: 0;
    width: 0;
    right: 0;
    content: "";
}

.form-group:hover .hidden-tooltip {
    visibility: visible;
}

.heading-text {
    background-color: #fff2cc;
    padding: 1em;
    border-radius: 1em;
    margin-top: 1em;
}

.hidden {
    display: none;
}

.col-md-12:has(input[data-parent]) {
    margin-top: 1.5rem
}
